Record Community Group Attendance
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"meeting_date": "2026-07-18",
"records": [
{
"member_id": 308,
"status": "present",
"note": null
}
]
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
meeting_date: '2026-07-18',
records: [{member_id: 308, status: 'present', note: null}]
})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance"
payload = {
"meeting_date": "2026-07-18",
"records": [
{
"member_id": 308,
"status": "present",
"note": None
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"attendance": [
{
"id": 1201,
"client_id": 12,
"community_group_id": 42,
"member_id": 308,
"recorded_by_member_id": 301,
"meeting_date": "2026-07-18",
"status": "present",
"note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"member": {
"id": 308,
"name": "Jordan A."
}
}
]
}
}Community Groups
Record Community Group Attendance
Creates or updates attendance records for active group members. Only group leaders, co-leaders, and hosts may perform this action.
POST
/
v1
/
community-groups
/
{groupId}
/
attendance
Record Community Group Attendance
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"meeting_date": "2026-07-18",
"records": [
{
"member_id": 308,
"status": "present",
"note": null
}
]
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
meeting_date: '2026-07-18',
records: [{member_id: 308, status: 'present', note: null}]
})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/attendance"
payload = {
"meeting_date": "2026-07-18",
"records": [
{
"member_id": 308,
"status": "present",
"note": None
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"attendance": [
{
"id": 1201,
"client_id": 12,
"community_group_id": 42,
"member_id": 308,
"recorded_by_member_id": 301,
"meeting_date": "2026-07-18",
"status": "present",
"note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"member": {
"id": 308,
"name": "Jordan A."
}
}
]
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Body
application/json
Response
Attendance recorded.
The response is of type object.
Was this page helpful?